Bug 537750 - Anaconda fails (X fails) with preupgrade F11 -> 12
Anaconda fails (X fails) with preupgrade F11 -> 12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-16 02:46 EST by bodhi.zazen
Modified: 2010-12-03 22:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 538048 (view as bug list)
Environment:
Last Closed: 2010-12-03 22:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (61.92 KB, text/plain)
2009-11-16 02:48 EST, bodhi.zazen
no flags Details
X.log (8.02 KB, text/plain)
2009-11-17 00:02 EST, bodhi.zazen
no flags Details
anaconda.log (2.99 KB, text/plain)
2009-11-17 00:02 EST, bodhi.zazen
no flags Details

  None (edit)
Description bodhi.zazen 2009-11-16 02:46:36 EST
Description of problem:

Attempting to upgrade from Frdora 11 via preupgrade


Version-Release number of selected component (if applicable):

Upgrade from F11 -> F12 (rawhide)

How reproducible:

run preupgrade -> Reboot


Steps to Reproduce:
1. Reboot (as a part of update)
2. Anaconda fails.
3.
  
Actual results:

Anaconda fails to start X -> update fails.

I can still boot F11.

Expected results:

Anaconda runs and updates to F12 (rawhide)

Additional info: 

Video card : nVidia Corporation G70 [GeForce 7600]

See log (it is long) anaconda.log
Comment 1 bodhi.zazen 2009-11-16 02:48:13 EST
Created attachment 369653 [details]
anaconda.log

Here is the anaconda.log
Comment 2 Chris Lumens 2009-11-16 11:58:08 EST
I don't see anything in your anaconda.log that indicates an X failure.  Can you please also attach /tmp/X.log to this bug report?  Thanks.
Comment 3 bodhi.zazen 2009-11-17 00:01:19 EST
OK, for additional information :

run preupgrade -> reboot -> anaconda starts -> then it drops to a shell :

"
Running anaconda 13.8, the Fedora system installer - please wait.

04:36:11 X startup failed, falling back to text mode
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 937, in <module>
    time.sleep(2)
  File "/usr/bin/anaconda", line 910, in sigchld_handler
    raise OSError
OSError
install exited abnormally [1,1]
you may safely reboot your system"

I will attach the logs
Comment 4 bodhi.zazen 2009-11-17 00:02:17 EST
Created attachment 369826 [details]
X.log

X.log
Comment 5 bodhi.zazen 2009-11-17 00:02:56 EST
Created attachment 369827 [details]
anaconda.log

anaconda.log
Comment 6 Hans de Goede 2009-11-17 07:26:34 EST
Ok, so we seem to have 2 issues here:

1) Xorg does not like your card

2) We fail to fall back to text mode, somehow we
   get the OSError thrown by our custom sigchild handler
   twice, or we get both a RunTimeError by X failing and
   then later while handling that the OSError raised by
   our SIGCHLD handler when the child processes really
   dies during the sleep.

I'll clone this bug and send one copy to the X maintainers, and leave
the other one open to track the anaconda not falling back issue.
Comment 7 bodhi.zazen 2009-11-17 10:51:49 EST
Thank you. I have been able to obtain some additional information that I hope may help.

Anaconda also does not like my hard drive, I have two sata drives.

-----------

I first ssh into the installed over my lan and stated anaconda manually.

It went through the first few screens, but when asking where to install F12 it did not find my either of my hard drives and had to be manually killed (killed ssh session, no way to exit anaconda and the back button only took me back to choosing a time zone).

-----------

Next I booted with the vnc option to anaconda and was able to vnc in.

Anaconda ran fine over vnc, but when I connected I had this message :

"The root for the previously installed system was not found"

There is a small button on the bottom "exit installer"

which then exits the vnc server and reboots.

-------------

I was able to re-boot and I can mount my Fedora 11 root partition, sda3, with no problem

mount /dev/sda3 /tmp/mnt

there is a file /tmp/mnt/etc/redhat-issue with the correct in formation in it and the boot option "update any" did not work either.

--------------

This is as far as I was able to get last night =)
Comment 8 bodhi.zazen 2009-11-18 12:06:35 EST
Update : The good, the bad, and the ugly ...

Since I had run preupgade just prior to the release of F12 , and since it was not working, I ran it again.

This second time, F12 is not longer in pre-releasse, ie no longer "rawhide" so ...

-------------

The good: 

Anaconda is working, in rawhide. When I reboot X runs just fine and my hard drive is recognized.

This is good as I assume this bug is fixed somehow in rawhide ???


-------------

The bad - preupgrade did not perform any check on the repository and downloaded a mix of packages, from F12 and F13 (rawhide).

The upgrade failed at about 75% 

I will file this as a bug against preupgrade =)

-------------

The ugly : I post this just for laughs as I have not seen anything like it.

The system actually boots, but as you can imagine does not run well. It is actually a mix of packages from 3 releases - F11 , F12 , and F13. I have seen a mix of two, never 3.

-------------

Summary:

1. The above bugs exist in F12 - X fails in anaconda with my video card. This has been triaged:

https://bugzilla.redhat.com/show_bug.cgi?id=538048

2. Anaconda fails in F12 with the above error messages. Anaconda does not recognize the existing F11 install nor my hard drive when run over SSH or VNC.

3. Both of these bugs appear fixed in rawhide.

4. I will file a separate bug report on preupgrade.

https://bugzilla.redhat.com/show_bug.cgi?id=538480
Comment 9 Anil Vettathu 2009-11-18 14:23:16 EST
Looks like I am also a victim to this bug. My card detail follows and I am using driver from nvidia.com,

===
01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)
===

Bodhi could you please confirm whether you were to complete upgrade using preupgrade-1.1.2-1.fc11.noarch and which nvidia driver you were using?

Thanks
Comment 10 Anil Vettathu 2009-11-18 14:30:44 EST
Bodhy can you please check 'comment 9'.
Thanks

(In reply to comment #6)
> Ok, so we seem to have 2 issues here:
> 
> 1) Xorg does not like your card
> 
> 2) We fail to fall back to text mode, somehow we
>    get the OSError thrown by our custom sigchild handler
>    twice, or we get both a RunTimeError by X failing and
>    then later while handling that the OSError raised by
>    our SIGCHLD handler when the child processes really
>    dies during the sleep.
> 
> I'll clone this bug and send one copy to the X maintainers, and leave
> the other one open to track the anaconda not falling back issue.
Comment 11 bodhi.zazen 2009-11-19 00:02:16 EST
The preupgrade version was :

preupgrade.noarch               1.1.2-1.fc11 


The nvidia version was:

kmod-nvidia.x86_64              190.42-1.fc11.1        rpmfusion-nonfree-updates
Comment 12 Bug Zapper 2010-11-04 02:21:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-03 22:17:25 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.